ChatofyDevelopers
REST APIMCP Server (AI)New
API KeysWebhooks
Chatofy API
/
Getting Started
API Resources
API v1.0 Live
Developer APICRM Pipelines & DealsSet Product Stage Override

Set Product Stage Override

Overrides a stage kind for one product (product_stages flag). Deal status follows the overridden kind.

PUT/api/v1/products/{id}/stages

Request Body Schema

application/json
pipeline_stage_iduuidrequired

Stage of the product pipeline

kindstringrequired

open, won or lost. Only the kind is overridden

Example:won

Response Payload

200 OKapplication/json
statusstring

"1" = Success, "0" = Failure.

messageobject

The response data payload.

Code Snippets & Examples

1curl -X PUT "https://app.chatofy.in/api/v1/products/{id}/stages" \
2 -H "Authorization: Bearer YOUR_API_KEY" \
3 -H "Content-Type: application/json" \
4 -d '{"pipeline_stage_id":"st-uuid","kind":"won"}'

Was this endpoint guide helpful?

Previous Endpoint
Update or Archive Product
Next Endpoint
List Contact Tags
© 2026 Chatofy Cloud Platform. All rights reserved.
1curl -X PUT "https://app.chatofy.in/api/v1/products/{id}/stages" \
2 -H "Authorization: Bearer YOUR_API_KEY" \
3 -H "Content-Type: application/json" \
4 -d '{"pipeline_stage_id":"st-uuid","kind":"won"}'
200 OKapplication/json
1{
2 "success": true,
3 "data": {
4 "stage_override": {
5 "product_id": "p1111111-2222-3333-4444-555555555555",
6 "pipeline_stage_id": "st-uuid",
7 "kind": "won"
8 }
9 },
10 "message": "Stage override saved"
11}